Gammu All Mobile Management Utilities
=====================================

[Installation]

1. Using autoconf (old, usually working method):

./configure
make
make install

To enable shared library, use "make shared" instead of "make".

2. Using cMake <http://www.cmake.org>:

For now, only out of source build is supported, so you have to create
separate directory for build.

mkdir build
cd build
cmake ..
make
make install

You can configure build parameters either by command line (see
parameters bellow), or using TUI - ccmake.

Useful cmake parameters:

-DENABLE_SHARED=ON enables shared library
-DCMAKE_BUILD_TYPE="Debug" enables debug build
-DCMAKE_INSTALL_PREFIX="/usr" change installation prefix

You can also disable support for whole set of phones:

-DWITH_NOKIA_SUPPORT=OFF disables Nokia phones support
-DWITH_Bluez=OFF disables Bluetooth support
-DWITH_IrDA=OFF disables IrDA support

3. Cross compilation for Windows:

Only cross compilation using cmake has been tested. You need to install
MinGW cross tool chain and run time. On Debian you can do it by apt-get
install mingw32. Build is then quite simple:

mkdir build-win32
cd build-win32
cmake .. -DCROSS_MINGW=ON
make

